epp_dcpStatement (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_dcpStatement class

### org.openrtk.idl.epp0604

# Class epp_dcpStatement

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_dcpStatement`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_dcpStatement`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements used to describe EPP Server's policy for data collection and management. Data collection purposes, data recipients, and data retention are described here. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_dcpStatement.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `epp_DataCollectionPolicy`, `EPPGreeting`

  ## Field Summary
  `epp_dcpPurposeType[]` | `m_purposes` The array of data collection purpose types.
  `epp_dcpRecipient[]` | `m_recipients` The array of data recipient types.
  `epp_dcpRetentionType` | `m_retention` The data retention type.

  ## Constructor Summary
  `epp_dcpStatement()` Empty constructor
  `epp_dcpStatement(epp_dcpPurposeType[] _m_purposes, epp_dcpRecipientType[] _m_recipients, epp_dcpRetentionType _m_retention)` Deprecated.
  `epp_dcpStatement(epp_dcpPurposeType[] _m_purposes, epp_dcpRecipient[] _m_recipients, epp_dcpRetentionType _m_retention)` The constructor with initializing variables.

  ## Method Summary
  `epp_dcpPurposeType[]` | `getPurposes()` Accessor method for the array of data collection purpose types
  `epp_dcpRecipient[]` | `getRecipients()` Accessor method for the array of data recipient types
  `epp_dcpRecipientType[]` | `getRecipientsTypes()` Deprecated.
  `epp_dcpRetentionType` | `getRetention()` Accessor method for the data retention type
  `void` | `setPurposes(epp_dcpPurposeType[] value)` Accessor method for the array of data collection purpose types
  `void` | `setRecipients(epp_dcpRecipientType[] value)` Deprecated.
  `void` | `setRecipients(epp_dcpRecipient[] value)` Accessor method for the array of data recipient types
  `void` | `setRetention(epp_dcpRetentionType value)` Accessor method for the data retention type
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_purposes

    public epp_dcpPurposeType[] m_purposes

> The array of data collection purpose types.
> See Also:
>   `setPurposes(epp_dcpPurposeType[])`, `getPurposes()`

### m_recipients

    public epp_dcpRecipient[] m_recipients

> The array of data recipient types.
> See Also:
>   `setRecipients(epp_dcpRecipient[])`, `getRecipients()`

### m_retention

    public epp_dcpRetentionType m_retention

> The data retention type.
> See Also:
>   `setRetention(epp_dcpRetentionType)`, `getRetention()`

## Constructor Details

### epp_dcpStatement

    public epp_dcpStatement()

> Empty constructor

### epp_dcpStatement

    public epp_dcpStatement(epp_dcpPurposeType[] _m_purposes,
                            epp_dcpRecipientType[] _m_recipients,
                            epp_dcpRetentionType _m_retention)

> Deprecated.

> The constructor with initializing variables.
> Parameters:
>   `_m_purposes` - The array of data collection purpose types
>   `_m_recipients` - The array of data recipient types
>   `_m_retention` - The data retention type

### epp_dcpStatement

    public epp_dcpStatement(epp_dcpPurposeType[] _m_purposes,
                            epp_dcpRecipient[] _m_recipients,
                            epp_dcpRetentionType _m_retention)

> The constructor with initializing variables.
> Parameters:
>   `_m_purposes` - The array of data collection purpose types
>   `_m_recipients` - The array of data recipient types
>   `_m_retention` - The data retention type

## Method Details

### getPurposes

    public epp_dcpPurposeType[] getPurposes()

> Accessor method for the array of data collection purpose types
> Returns:
>   The array of data collection purpose types
> See Also:
>   `m_purposes`

### getRecipients

    public epp_dcpRecipient[] getRecipients()

> Accessor method for the array of data recipient types
> Returns:
>   The array of data recipient types
> See Also:
>   `m_recipients`

### getRecipientsTypes

    public epp_dcpRecipientType[] getRecipientsTypes()

> Deprecated.

> Accessor method for the array of data recipient types
> Returns:
>   The array of data recipient types
> See Also:
>   `m_recipients`

### getRetention

    public epp_dcpRetentionType getRetention()

> Accessor method for the data retention type
> Returns:
>   value The data retention type
> See Also:
>   `m_retention`

### setPurposes

    public void setPurposes(epp_dcpPurposeType[] value)

> Accessor method for the array of data collection purpose types
> Parameters:
>   `value` - The array of data collection purpose types
> See Also:
>   `m_purposes`

### setRecipients

    public void setRecipients(epp_dcpRecipientType[] value)

> Deprecated.

> Accessor method for the array of data recipient types
> Parameters:
>   `value` - The array of data recipient types
> See Also:
>   `m_recipients`

### setRecipients

    public void setRecipients(epp_dcpRecipient[] value)

> Accessor method for the array of data recipient types
> Parameters:
>   `value` - The array of data recipient types
> See Also:
>   `m_recipients`

### setRetention

    public void setRetention(epp_dcpRetentionType value)

> Accessor method for the data retention type
> Parameters:
>   `value` - The data retention type
> See Also:
>   `m_retention`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS